Set an override
const url = 'https://api.asklucy.eu/v1/org/quotas/overrides/user/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"limits":{"five_hours":{"amount":"50.00","currency":"EUR"},"week":{"amount":"50.00","currency":"EUR"},"month":{"amount":"50.00","currency":"EUR"}},"note":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.asklucy.eu/v1/org/quotas/overrides/user/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "limits": { "five_hours": { "amount": "50.00", "currency": "EUR" }, "week": { "amount": "50.00", "currency": "EUR" }, "month": { "amount": "50.00", "currency": "EUR" } }, "note": "example" }'Creates or replaces the override for this user, group or service agent (whose runs spend against it).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”agent: a service agent (an owner agent spends its owner’s allowance).
Zitadel user ID, group ID, or agt_ ID of a service agent.
Request Bodyrequired
Section titled “Request Bodyrequired”object
A limit per window; a missing or null window sets no limit at this level.
object
Responses
Section titled “Responses”OK
object
object
agent: a service agent (an owner agent spends its owner’s allowance).
A limit per window; a missing or null window sets no limit at this level.
object
Why this override exists, for other admins.
Example
{ "subject": { "type": "user" }, "limits": { "five_hours": { "amount": "50.00", "currency": "EUR" }, "week": { "amount": "50.00", "currency": "EUR" }, "month": { "amount": "50.00", "currency": "EUR" } }, "updated_by": { "kind": "person" }}The request is invalid; errors lists what’s wrong.
RFC 9457 problem details.
object
For quota-exceeded, the window that is used up.
object
Null for a rolling window that hasn’t started.
organization when the organization’s budget is closer to running out than the member’s own limit.
Field-level problems (400 only).
object
JSON pointer into the request body.
Example
{ "type": "https://docs.asklucy.eu/errors/answer-in-progress", "quota": { "window": "five_hours", "limited_by": "personal", "request": { "status": "pending" } }}Headers
Section titled “Headers”Unique per request; quote it to support.
Missing, expired or invalid token.
RFC 9457 problem details.
object
For quota-exceeded, the window that is used up.
object
Null for a rolling window that hasn’t started.
organization when the organization’s budget is closer to running out than the member’s own limit.
Field-level problems (400 only).
object
JSON pointer into the request body.
Example
{ "type": "https://docs.asklucy.eu/errors/answer-in-progress", "quota": { "window": "five_hours", "limited_by": "personal", "request": { "status": "pending" } }}Headers
Section titled “Headers”Unique per request; quote it to support.
The token is valid but lacks the role this needs.
RFC 9457 problem details.
object
For quota-exceeded, the window that is used up.
object
Null for a rolling window that hasn’t started.
organization when the organization’s budget is closer to running out than the member’s own limit.
Field-level problems (400 only).
object
JSON pointer into the request body.
Example
{ "type": "https://docs.asklucy.eu/errors/answer-in-progress", "quota": { "window": "five_hours", "limited_by": "personal", "request": { "status": "pending" } }}Headers
Section titled “Headers”Unique per request; quote it to support.
No such object in your organization.
RFC 9457 problem details.
object
For quota-exceeded, the window that is used up.
object
Null for a rolling window that hasn’t started.
organization when the organization’s budget is closer to running out than the member’s own limit.
Field-level problems (400 only).
object
JSON pointer into the request body.
Example
{ "type": "https://docs.asklucy.eu/errors/answer-in-progress", "quota": { "window": "five_hours", "limited_by": "personal", "request": { "status": "pending" } }}Headers
Section titled “Headers”Unique per request; quote it to support.